# Laragon - The Dev Environment for Web Artisans

## What is Laragon?

Laragon is a portable, isolated, fast & powerful universal development environment for PHP, Node.js, Python, Java, Go, Ruby. It is fast, lightweight, easy-to-use and easy-to-extend.

Laragon is great for building and managing modern web applications. It is focused on performance  - designed around stability, simplicity, flexibility and freedom.

Laragon is very lightweight and will stay as lean as possible. The core binary itself is less than 2MB and uses less than 4MB RAM when running.

Laragon doesn't use Windows services. It has its own `service orchestration` which manages services asynchronously and non-blocking so you'll find things run fast & smoothly with Laragon.

Enjoy!

## Features

- **Pretty URLs**
  Use `app.test` instead of `localhost/app`.
- **Portable**
  You can move Laragon folder around (to another disks, to another laptops, sync to Cloud,...) without any worries. 
- **Isolated**
  Laragon has an isolated environment with your OS - it will keep your system clean.
- **Easy Operation**
  Unlike others which pre-config for you, Laragon **`auto-configs`** all the complicated things. That why you can add another versions of PHP, Python, Ruby, Java, Go, Apache, Nginx, MySQL, PostgreSQL, MongoDB,... effortlessly.
- **Modern & Powerful**
  Laragon comes with modern architect which is suitable to build modern web apps. You can work with both Apache & Nginx as they are fully-managed.
  Also, Laragon makes things a lot easier:
  - Wanna have a Wordpress CMS? Just 1 click.
  - Wanna show your local project to customers? Just 1 click.  
  - Wanna enable/disable a PHP extension? Just 1 click.



*Laragon is trully isolated & portable. However, you may need to use the installer as it will detect and install missing run-time components that are required to run C++ applications built using Visual Studio such as `PHP, Apache` for you.*


## How fast?
Laragon starts instantly. You can set Laragon autorun when Windows starts. When running, Laragon uses just a little amount of your RAM.
Here is the GUI of Laragon:
![0_1513173700919_01-dashboard.png](https://i.imgur.com/f8rBqSU.png) 

## How easy?
- Laragon is very easy to install & upgrade. Just download the latest version and click `Next, Next, Next...`
- Laragon is very easy to use. For almost time, it will work out-of-the-box that you don't need to touch any configuration files.
- Laragon is very easy to extend. You can add other services to your current stack by just extracting them to `Laragon's bin` folder.
